{"components":{"schemas":{"BadRequest":{"description":"Returned when something is wrong in the request, e.g. failed argument validation or missed argument","properties":{"attributes":{"description":"Invalid attributes","items":{"$ref":"#/components/schemas/RequestAttribute"},"type":"array"},"error":{"default":"BadRequest","description":"Error name","type":"string"},"message":{"default":"Required arguments are missing in the request","description":"Description of the request error","type":"string"}},"type":"object"},"CompanyOwner":{"properties":{"address":{"$ref":"#/components/schemas/CompanyOwnerAddress"},"company":{"description":"True if owner is a company","type":"boolean"},"companyId":{"description":"Company identifier (company registration number / organization number) of owner which is a company","type":"string"},"countryCode":{"description":"Country code of the owner","type":"string"},"fromDate":{"description":"Owner is valid from date","type":"string"},"level":{"description":"Owner level in the structure tree.","format":"int32","type":"integer"},"name":{"description":"Name of the owner (company name or person full name)","type":"string"},"ownerId":{"description":"Owner node identifier","format":"int32","type":"integer"},"ownershipPercentageInterval":{"description":"Ownership percentage interval. Possible intervals are: '0-4,99%', '5-9,99%', '10-14,99%', '15-19,99%', '20-24,99%', '25-33,32%', '33,33-49,99%', '50-66,66%', '66,67-89,99%', '90-99,99%', '100%'","type":"string"},"ownershipVotePercentageInterval":{"description":"Vote percentage interval. Possible intervals are: '0-4,99%', '5-9,99%', '10-14,99%', '15-19,99%', '20-24,99%', '25-33,32%', '33,33-49,99%', '50-66,66%', '66,67-89,99%', '90-99,99%', '100%'","type":"string"},"parentOwnerId":{"description":"Parent owner node identifier","format":"int32","type":"integer"}},"type":"object"},"CompanyOwnerAddress":{"properties":{"co":{"description":"Coaddress","type":"string"},"communeCode":{"description":"Commune code","format":"int32","type":"integer"},"communeName":{"description":"Commune name","type":"string"},"countryCode":{"description":"Country code of the company","type":"string"},"floor":{"description":"Floor","type":"string"},"poBox":{"description":"PoBox","type":"string"},"postalTown":{"description":"Postal town","type":"string"},"sideDoor":{"description":"Side door","type":"string"},"streetCode":{"description":"Street code","format":"int32","type":"integer"},"streetLetterFrom":{"description":"Street letter from","type":"string"},"streetLetterTo":{"description":"Street letter to","type":"string"},"streetName":{"description":"Street name","type":"string"},"streetNumberFrom":{"description":"Street number from","format":"int32","type":"integer"},"streetNumberTo":{"description":"Street number to","format":"int32","type":"integer"},"text":{"description":"Address as a text","type":"string"},"town":{"description":"Town","type":"string"},"zipcode":{"description":"Zip code","format":"int32","type":"integer"}},"type":"object"},"CompanyOwnerStructureResults":{"description":"Roaring Apps company owners structure results","properties":{"hitCount":{"description":"Quantity of company owners structure results","format":"int32","type":"integer"},"records":{"description":"Found company owners structure results","items":{"$ref":"#/components/schemas/CompanyOwner"},"type":"array"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"RequestAttribute":{"description":"Incorrect attribute of request","properties":{"attribute":{"description":"Parameter name","type":"string"},"value":{"description":"Parameter value, subject for validation","type":"string"}},"type":"object"},"SearchResultStatus":{"description":"Description of search result","properties":{"code":{"description":"0 - found, 1 - not found","format":"int32","type":"integer"},"text":{"description":"search result description","type":"string"}},"type":"object"},"ServerError":{"description":"Internal server error","properties":{"error":{"default":"InternalServerError","description":"Error name","type":"string"},"message":{"default":"An internal server error occurred, please contact the system administrator with information on the error","description":"Description of the request error","type":"string"}},"type":"object"}},"securitySchemes":{"OAuth2":{"description":"All requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","flows":{"clientCredentials":{"tokenUrl":"https://api.roaring.io/token","scopes":{}}},"type":"oauth2"}}},"info":{"description":"Owners structure of the company\n\nAll requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","title":"Company owners structure","version":"1.0","x-logo":{"url":"https://assets.roaring.io/svg/company-owner-structure-v3.1.svg"}},"openapi":"3.0.1","paths":{"/{companyId}":{"get":{"description":"AsOfDate supported","operationId":"view","parameters":[{"description":"id of company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyOwnerStructureResults"}}},"description":"OK, successfull response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Fetch company owners structure","tags":["OwnerStructureDk"]}}},"security":[{"OAuth2":[]}],"servers":[{"url":"https://api.roaring.io/dk/company/owner-structure/1.0"}],"x-category":"company","x-countries":["dk"],"x-id":"OwnerStructureApiDk"}